No, it is not compatible.